# ======================================================================
#  $Id: GNUmakefile,v 1.10 2003/12/06 11:00:45 goiwai Exp $
#  $Name: CLDAQ-1-11-00 $
#  $Log: GNUmakefile,v $
#  Revision 1.10  2003/12/06 11:00:45  goiwai
#  いろいろ追加
#
#  Revision 1.9  2003/11/27 00:10:21  goiwai
#  *** empty log message ***
#
#  Revision 1.8  2003/11/24 22:41:37  goiwai
#  ifile2.ccを追加しました.
#  もうひとつのストリーム(今のとこファイルに特化)へのアクセス方法を示す例
#  題です.
#
#  Revision 1.7  2003/10/06 04:03:39  goiwai
#  TArgumentを使用するように全てのプログラムを修整しました.
#
#  Revision 1.6  2003/07/30 16:21:38  goiwai
#  ファイルにコミットログをつけることにしました.
#
# ======================================================================
name := ofile ifile ifile2 ifiledump osocket isocket omemory imemory
name += terminal software readout
name += sm2400 mm2700 mm7702 rpv130
name += findelement findprimitive findfast
name += runinfo timer regex regex2 regex3 getopt
name += syslog serialize deserialize compress decompress
name += ofilter ifilter ifilterdump

ifndef CLDAQ_INSTALL
  CLDAQ_INSTALL = ..
endif

CLDAQ_TARGET_TMP_DIR = $(CLDAQ_INSTALL)/tmp/tests

.PHONY: all

all: bin

include $(CLDAQ_INSTALL)/config/binmake.gmk
